///////// ====================== sky
textures/grotli/grotlib4sky
{
	nocompress
	qer_editorimage textures/skies/sky_8.tga
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_nofog
	q3map_globaltexture
	q3map_lightsubdivide 256 	
	q3map_sun 0.130 0.080 0.020 20 165 5
	q3map_sun 0.281 0.288 0.370 80 35 40
	q3map_sun 0.281 0.288 0.370 15 215 60
	q3map_sun 0.281 0.288 0.370 10 35 50
	q3map_sun 0.281 0.288 0.370 10 35 45
	q3map_sun 0.281 0.288 0.370 10 35 35
	q3map_sun 0.281 0.288 0.370 10 35 30
	q3map_sun 0.281 0.288 0.370 10 40 40
	q3map_sun 0.281 0.288 0.370 10 45 40
	q3map_sun 0.281 0.288 0.370 10 30 40
	q3map_sun 0.281 0.288 0.370 10 25 40
	q3map_surfacelight 30

	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	skyparms - 512 -
	sunshader textures/grotli/moon_b4

	{
		map textures/grotli/clouds_b4.tga
		tcMod scale 2.5 2.5
		tcMod scroll -0.008 -0.008
		rgbGen identityLighting
	}
	{
		map textures/grotli/lightning_b4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 5 5
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}
	textures/grotli/moon_b4
{
	cull none
	nofog
	{
		map textures/grotli/moon_b4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

///////// ====================== terrain
////////////////////////////////grotli-a
textures/grotli-a/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}
textures/grotli-a/terrain_0
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_1
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_2
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_3
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_4
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/water1.jpg
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/grotli/water1.jpg
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/grotli-a/terrain_5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxsnow0.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/mxsnow0.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_0to1
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_0to2
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_0to3
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_0to4
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_0to5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_1to2
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_1to3
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_1to4
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_1to5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_2to3
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_2to4
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_2to5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_3to4
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_3to5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a/terrain_4to5
{
	q3map_baseshader textures/grotli-a/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock2.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

/////////////////////////////////////////grotli-b
textures/grotli-b/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/grotli-b/terrain_0
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_1
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_2
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_3
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_4
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxsnow0.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/mxsnow0.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt_m03.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/dirt_m03.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_0to1
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_0to2
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_0to3
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_0to4
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_0to5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock.jpg
	}
	{
		map textures/grotli/dirt_m03.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_1to2
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_1to3
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_1to4
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_1to5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/dirt_m03.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_2to3
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_2to4
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_2to5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/dirt_m03.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_3to4
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_3to5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/dirt_m03.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-b/terrain_4to5
{
	q3map_baseshader textures/grotli-b/terrain_base
	qer_editorimage textures/grotli/mxsnow0.jpg
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/grotli/mxsnow0.jpg
	}
	{
		map textures/grotli/dirt_m03.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//////////////////////////////////////////grotli-a-background
textures/grotli-a-background/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/grotli-a-background/terrain_0
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_1
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_2
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4bb.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_3
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_4
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxsnow0.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxsnow0.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_0to1
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_0to2
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock4bb.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_0to3
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_0to4
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_0to5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_1to2
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock4bb.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_1to3
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_1to4
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_1to5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_2to3
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4bb.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_2to4
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4bb.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_2to5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4bb.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_3to4
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_3to5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a-background/terrain_4to5
{
	q3map_baseshader textures/grotli-a-background/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock2.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

///////////////////////////////////////////grotli-a2-background
textures/grotli-a2-background/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/grotli-a2-background/terrain_0
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_1
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_2
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_3
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_4
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock2.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxsnow0.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxsnow0.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_0to1
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_0to2
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_0to3
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_0to4
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_0to5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/grassrock.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/grassrock2.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_1to2
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock4b.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_1to3
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_1to4
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_1to5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/dirt.tga
	surfaceparm grasssteps
	{
		map textures/grotli/dirt.tga
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_2to3
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxrock3aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_2to4
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_2to5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock4b.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock4b.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_3to4
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_3to5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock3aa.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock3aa.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/grotli-a2-background/terrain_4to5
{
	q3map_baseshader textures/grotli-a2-background/terrain_base
	qer_editorimage textures/grotli/mxrock2.jpg
	surfaceparm grasssteps
	{
		map textures/grotli/mxrock2.jpg
	}
	{
		map textures/grotli/mxsnow0.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

///////// ====================== water
///CAUSTICS FOR THE WATER
textures/grotli/cave_caustic
{
	qer_editorimage textures/grotli/mxrock2.jpg
	{
		map textures/grotli/water1.jpg
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/grotli/water1.jpg
		blendFunc GL_one GL_ONE
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/grotli/mxrock2.jpg
		blendFunc GL_one GL_src_color
		rgbgen identity
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

//Water surface when viewed from above
textures/grotli/water_outsidez
{
	nocompress
	qer_editorimage textures/grotli/water_in.tga
	qer_trans .25
	q3map_globaltexture
	q3map_cloneshader textures/grotli/water_inside

//	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	deformVertexes wave 1317 sin 0 4 0 0.15
 	deformVertexes wave 317 sin 0 2 0 0.30

	{
		map textures/grotli/water_in.tga
		alphaGen const .75
		
		tcMod scroll .0 -.02
		tcMod scale 4 1
		tcMod scale .25 1
	}
	{
		map textures/grotli/water_overlay.tga
		blendFunc blend
		tcMod scroll 0 -.04
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen Identity
		depthFunc equal
	}
}

//Water surface viewed from underneath
textures/grotli/water_inside
{
	qer_editorimage textures/grotli/water_caust.tga
	qer_trans .9
	nocompress
	
	q3map_globaltexture
	q3map_invert

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
//	surfaceparm lightfilter


	{
		map textures/grotli/water_1.tga
		blendFunc filter
		tcMod scroll .0 .10
		tcMod scale 4 1
		tcMod scale .25 1
	}
	{
		map textures/grotli/water_caust.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 .05
	}
	{
		map textures/grotli/water_caust_2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -0.05
	}
	{
		map textures/grotli/water_lay.tga
		blendFunc blend
		tcMod scroll 0 -.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Water surface for shallow pools
textures/grotli/water_pool
{
	qer_editorimage textures/grotli/water_caust.tga
	qer_trans .9
	cull disable
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm lightfilter

	{
		map textures/grotli/water_1.tga
		alphaGen const .35
		tcMod scale 4 1
		tcMod scale .25 1
		tcmod turb 0.1 0.15 0 0.075
	}
	{
		map textures/grotli/water_caust.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -.05
	}
	{
		map textures/grotli/water_caust_2.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 0.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Water surface for shallow pools
textures/grotli/water_poolz
{
	qer_editorimage textures/grotli/water_mid.tga
	qer_trans .9
	cull disable
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm lightfilter

	{
		map textures/grotli/water_mid.tga
		alphaGen const .35
		tcMod scale 4 1
		tcMod scale .25 1
		tcmod turb 0.1 0.15 0 0.075
	}
	{
		map textures/grotli/water_in.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -.05 -.05
	}
	{
		map textures/grotli/water_overlay.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll .05 0.05
	}
	{
		map $lightmap
		rgbGen Identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

///////// ================== plants 
// ivy04
textures/grotli/ivy04
	{
	qer_trans 0.85
	qer_editorimage textures/grotli/ivy04.tga
	cull disable
	nomipmaps
	nopicmip
	sort 6
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/grotli/ivy04.tga
	}

// ivy6a
textures/grotli/ivy06a
	{
	qer_trans 0.85
	qer_editorimage textures/grotli/ivy06a.tga
	cull disable
	sort 6
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid

	implicitMask textures/grotli/ivy06a.tga
	}

/////// =================== bunker4fun
textures/grotli/bunker4fun
	{
	qer_trans 0.85
	qer_editorimage textures/grotli/b4.tga
	cull disable
	sort 6
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid

	implicitMask textures/grotli/b4.tga
	}

///////// ================== models
textures/rayban/barrel1
{
	qer_editorimage models/mapobjects/rayban/barrel1.tga
	surfaceparm woodsteps
	implicitMap models/mapobjects/rayban/barrel1.tga
}

models/mapobjects/praetoria/airplanes/propeller
{
	cull none
	{
		clampmap models/mapobjects/praetoria/airplanes/propeller.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod rotate 200
	}
}

///////////////////// ========== door
textures/grotli/door1
{
	surfaceparm metalsteps
	implicitMap -
}

////////////////////////////////////////obj icon
textures/grotli/objective_gold
{
	nocompress
	nopicmip
	{
		map gfx/limbo/cm_goldbars.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

////////// ================= light
textures/grotli/light_m6_bwhite
{
	qer_editorimage textures/grotli/light_m6.tga
	q3map_lightimage textures/grotli/light_m6.blend.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/grotli/light_m6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/grotli/light_m6.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/grotli/light_m6_100
{
	qer_editorimage textures/grotli/light_m6.tga
	q3map_lightimage textures/grotli/light_m6.blend.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/grotli/light_m6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/grotli/light_m6.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
